""" Script for calculating maximum inundation at building locations

    Inputs:

    swwfile             - name of sww file
                        - assume that all conserved quantities have been stored
                    
    buildings_filename  - name of file containing building data, sourced
                          from NBED

    Output:
    
    - building_filename (.csv) augmented to include maximum depth, momentum and
      velocity and stored in same location as swwfile
      Name = augmented_buildings.csv
      
    """

from os import sep

from damage.inundation_damage import inundation_damage
import project

# Inputs
timestampdir = '20060707_003301' # HAT
#timestampdir = '20060704_063112' # LAT
#timestampdir = '20060704_063234' # MSL
file_loc = project.outputdir + timestampdir + sep 
swwfile = file_loc + project.basename + '.sww'
buildings_filename = project.buildings_filename
buildings_filename_out = file_loc + project.buildings_filename_damage_out

inundation_damage(swwfile, buildings_filename, timestampdir+"_damage.csv")


print '\n Augmented building file written to %s \n' \
      %buildings_filename_out
